GET api/v1/get_countries

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

Collection of country_new
NameDescriptionTypeAdditional information
country_id

integer

None.

country_name

string

None.

country_code

string

None.

sort_order

integer

None.

is_active

boolean

None.

is_logical_deleted

boolean

None.

image_path

string

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "$id": "2",
    "country_id": 1,
    "country_name": "sample string 2",
    "country_code": "sample string 3",
    "sort_order": 1,
    "is_active": true,
    "is_logical_deleted": true,
    "image_path": "sample string 4"
  },
  {
    "$ref": "2"
  }
]

text/html

Sample:
{"$id":"1","$values":[{"$id":"2","country_id":1,"country_name":"sample string 2","country_code":"sample string 3","sort_order":1,"is_active":true,"is_logical_deleted":true,"image_path":"sample string 4"},{"$ref":"2"}]}

application/xml, text/xml

Sample:
<ArrayOfcountry_new xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models">
  <country_new>
    <country_code>sample string 3</country_code>
    <country_id>1</country_id>
    <country_name>sample string 2</country_name>
    <image_path>sample string 4</image_path>
    <is_active>true</is_active>
    <is_logical_deleted>true</is_logical_deleted>
    <sort_order>1</sort_order>
  </country_new>
  <country_new>
    <country_code>sample string 3</country_code>
    <country_id>1</country_id>
    <country_name>sample string 2</country_name>
    <image_path>sample string 4</image_path>
    <is_active>true</is_active>
    <is_logical_deleted>true</is_logical_deleted>
    <sort_order>1</sort_order>
  </country_new>
</ArrayOfcountry_new>

multipart/form-data

Sample:
<ArrayOfcountry_new xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models"><country_new><country_code>sample string 3</country_code><country_id>1</country_id><country_name>sample string 2</country_name><image_path>sample string 4</image_path><is_active>true</is_active><is_logical_deleted>true</is_logical_deleted><sort_order>1</sort_order></country_new><country_new><country_code>sample string 3</country_code><country_id>1</country_id><country_name>sample string 2</country_name><image_path>sample string 4</image_path><is_active>true</is_active><is_logical_deleted>true</is_logical_deleted><sort_order>1</sort_order></country_new></ArrayOfcountry_new>